Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.util
Class PathUtils

    java.lang.Object
      com.jaspersoft.jasperserver.export.util.PathUtils

    public class PathUtils

extends java.lang.Object

Version:
  $Id: PathUtils.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`static class` | `PathUtils.SplittedPath`

Field Summary
`static char` | `FILE_SEPARATOR`
`protected static java.util.regex.Pattern` | `MULTI_FILE_SEP_PATTERN`
`protected static java.lang.String` | `MULTI_FILE_SEP_REPLACEMENT`
`protected static java.util.regex.Pattern` | `SPLIT_URI_PATTERN`
`protected static int` | `SPLIT_URI_PATTERN_NAME_IDX`
`protected static int` | `SPLIT_URI_PATTERN_PARENT_IDX`

Constructor Summary
`PathUtils()`

Method Summary
`static java.lang.String` | `concatPaths(java.lang.String path1, java.lang.String path2)`
`static java.lang.String` | `normalizePath(java.lang.String path)`
`static PathUtils.SplittedPath` | `splitPath(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_SEPARATOR

    public static final char FILE_SEPARATOR

See Also:
  Constant Field Values

### MULTI_FILE_SEP_PATTERN

    protected static final java.util.regex.Pattern MULTI_FILE_SEP_PATTERN

### MULTI_FILE_SEP_REPLACEMENT

    protected static final java.lang.String MULTI_FILE_SEP_REPLACEMENT

See Also:
  Constant Field Values

### SPLIT_URI_PATTERN

    protected static final java.util.regex.Pattern SPLIT_URI_PATTERN

### SPLIT_URI_PATTERN_PARENT_IDX

    protected static final int SPLIT_URI_PATTERN_PARENT_IDX

See Also:
  Constant Field Values

### SPLIT_URI_PATTERN_NAME_IDX

    protected static final int SPLIT_URI_PATTERN_NAME_IDX

See Also:
  Constant Field Values

Constructor Detail

### PathUtils

    public PathUtils()

Method Detail

### splitPath

    public static PathUtils.SplittedPath splitPath(java.lang.String uri)

### concatPaths

    public static java.lang.String concatPaths(java.lang.String path1,
                                               java.lang.String path2)

### normalizePath

    public static java.lang.String normalizePath(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.